Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class RowAlreadyDeletedException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.jbo.JboException
oracle.jbo.RowNotFoundException
oracle.jbo.RowAlreadyDeletedException`

All Implemented Interfaces:
  JboMessage, MetaObjectBase, java.io.Serializable

public class RowAlreadyDeletedException
extends RowNotFoundException

Thrown when the requested row is not found in the the database perhaps it has been already deleted after the row was initially queried. This excecption may be thrown for either an Entity Object row or a View Object row.

Since:
  JDeveloper 9.0.3
See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.JboException
`mHasPeerException`

Fields inherited from interface oracle.jbo.common.MetaObjectBase
`TYP_APP_MODULE, TYP_ATTRIBUTE, TYP_ATTRIBUTE_LIST_WITH_DEF, TYP_COMPONENT_OBJECT, TYP_DEF_ANY, TYP_DEF_APP_MODULE, TYP_DEF_ATTRIBUTE, TYP_DEF_COMPONENT_OBJECT, TYP_DEF_DOMAIN, TYP_DEF_ENTITY_ASSOC, TYP_DEF_ENTITY_OBJECT, TYP_DEF_PACKAGE, TYP_DEF_VIEW_LINK, TYP_DEF_VIEW_OBJECT, TYP_DOMAIN, TYP_ENTITY_ASSOC, TYP_ENTITY_OBJECT, TYP_ENTITY_ROW, TYP_ENTITY_ROW_SET, TYP_ENTITY_ROW_SET_ITERATOR, TYP_ENTITY_USAGE, TYP_PACKAGE, TYP_TRANSACTION, TYP_VALIDATOR_TYPE, TYP_VARIABLE, TYP_VARIABLE_WHERE_CLAUSE, TYP_VIEW_CRITERIA, TYP_VIEW_LINK, TYP_VIEW_OBJECT, TYP_VIEW_ROW, TYP_VIEW_ROW_SET, TYP_VIEW_ROW_SET_ITERATOR`

Constructor Summary
`RowAlreadyDeletedException(boolean entityRow, java.lang.String objName, Key key)` Constructs a new instance when a row of a given key is not found.
`RowAlreadyDeletedException(java.lang.String voName, java.lang.String eoBaseName)` Constructs a new instance when the requested entity row within a View row is `null`.

Methods inherited from class oracle.jbo.JboException
`addToDetails, addToExceptions, containsException, doEntityToVOMapping, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getExceptions, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getSource, getTypeNameFromId, hasPeerExceptions, isAppendCodes, isLocalizable, needsEntityToVOMapping, printStackTrace, printStackTrace, printStackTrace, setAppendCodes, setApplicationModule, setDetails, setErrorParameters, setExceptions, setLocaleContext, setNeedsEntityToVOMapping, setSource`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RowAlreadyDeletedException

    public RowAlreadyDeletedException(boolean entityRow,
                                      java.lang.String objName,
                                      Key key)

  Constructs a new instance when a row of a given key is not found.
Parameters:
  `entityRow` - `true` if the row not found is an Entity Object row, or `false` if a View Object row.
  `objName` - the name of the entity or view object where the error occurred.
  `key` - the key of the row that could not be located.

### RowAlreadyDeletedException

    public RowAlreadyDeletedException(java.lang.String voName,
                                      java.lang.String eoBaseName)

  Constructs a new instance when the requested entity row within a View row is `null`. For example, if a View Object consists of two Entity Object bases, and if the secondary Entity Object base is reference-only, a view may have `null` for that Entity Object row, if the foreign key linking the primary to secondary EO base is `null`.

  Under this scenario, if the user attempts to access and operate on that `null` Entity Object row, this constructor will be used to instantiate `RowAlreadyDeletedException`.

Parameters:
  `voName` - the name of the View Object where the error occured.
  `eoBaseName` - the name of the secondary Entity Object base whose Entity row in the View row is `null`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.